Bug 567881 - ChmSee does not follow links inside chm document correctly
Summary: ChmSee does not follow links inside chm document correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: chmsee
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Yijun Yuan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 586959 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 08:19 UTC by Sandro Janke
Modified: 2011-06-27 15:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:01:24 UTC
Type: ---


Attachments (Terms of Use)
ChmSee alert message (9.35 KB, image/png)
2010-02-24 08:21 UTC, Sandro Janke
no flags Details
chm file with broken links (212.16 KB, application/x-chm)
2010-03-19 19:49 UTC, Sandro Janke
no flags Details
fix null uri caused by URL with preceding "/" (2.77 KB, patch)
2010-04-25 07:38 UTC, Yijun Yuan
no flags Details | Diff
backtrace of segfault when clicking link (49.21 KB, text/plain)
2010-11-05 19:59 UTC, Sandro Janke
no flags Details

Description Sandro Janke 2010-02-24 08:19:59 UTC
Description of problem:

When clicking on a link in a chm file ChmSee pops up an alert and does not open the the page the link refers to. The marker in the Topics tab does point to the correct page.

Version-Release number of selected component (if applicable):

chmsee-1.0.7-1.fc12.x86_64

How reproducible:

always

Steps to Reproduce:
1. Open chm file
2. Click on a link
3.
  
Actual results:

ChmSee stays on the same page in main window.

Expected results:

ChmSee should open the page the link refers to in the main window.

Additional info:

Alert messages: The file /html/17437428-956c-4b03-9bb7-be5811fe876d.htm cannot be found. Please check the location and try again.

The problem does not occur in kchmviewer and xchm browsing the same document.

Comment 1 Sandro Janke 2010-02-24 08:21:34 UTC
Created attachment 395946 [details]
ChmSee alert message

Comment 2 Emilio Scalise 2010-03-19 11:32:45 UTC
I cannot reproduce this bug using chmsee from package:
chmsee-1.0.7-1.fc12.i686

Links in chm files work correctly.

Could you please provide some feedback using this version, so they can eventually close the bug?

Comment 3 Sandro Janke 2010-03-19 19:48:21 UTC
I'm running the x86_64 package - same version (chmsee-1.0.7-1.fc12.x86_64). The problem is still present using the file attached.

I tested it on a 32bit box as well. Same problem.

Comment 4 Sandro Janke 2010-03-19 19:49:54 UTC
Created attachment 401337 [details]
chm file with broken links

Comment 5 Yijun Yuan 2010-03-20 03:59:44 UTC
The CHM file is itself broken, I cannot open it under Windows either. Please use HTML workshop to extract and re-package it, selecting the correct index file. Normally it could be fixed in that way. Closing.

Comment 6 Sandro Janke 2010-03-20 09:52:58 UTC
I don't believe that the file itself is broken. I can open it using either kchmviewer or xchm.

Downloading the file that is attached to this bug report and opening it works fine for me.

Not being able to open it in Windows is hilarious, since the file originally came from a Microsoft CD ISO image. Besides, I did manage to open the file in Windows (Windows 7) and all the links worked fine. I haven't tried other Windows releases.

Comment 7 Yijun Yuan 2010-04-25 07:38:44 UTC
Created attachment 408928 [details]
fix null uri caused by URL with preceding "/"

I can open that .chm file with chmsee now. The links are not working because in the raw html, it looks like <a href="/html/40501243-e3a9-439e-be96-53b4c8eb69b7.htm">Imaging Requirements</a> (the url starts with "/"), and gecko tells chmsee the url is "file:///html/....". Normally it is a URL pointing to $HOME/.chmsee.

Comment 8 Yijun Yuan 2010-04-29 01:23:50 UTC
*** Bug 586959 has been marked as a duplicate of this bug. ***

Comment 9 Yijun Yuan 2010-04-29 01:28:47 UTC
from the trace log of #586959, the URL is
file:///home/AGonzaga/.chmsee/bookshelf/pagead2.googlesyndication.com/default.htm/cpa/ads?client=ca-pub-6873629411025824&cpa_choice=CAAQ-YOy0QEaCBJ_cFqMCYHjKK2293M&oe=ISO-8859-1&dt=1272466539046&lmt=1 which is apparently wrong. It should point to either a file under bookfolder "/home/AGonzaga/.chmsee/bookshelf/02258e2074b3421f99a0c7db5cf51490", or an external website (http://)

Comment 10 Bug Zapper 2010-11-03 21:27:10 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Sandro Janke 2010-11-05 19:57:04 UTC
I just tried to see whether the problem was fixed in chmsee-1.1.0-1.fc13. I used the file attached to this bug. chmsee crashed with a segfault. See attachment for an incomplete backtrace produced by abrt. Changing version to 13.

Comment 12 Sandro Janke 2010-11-05 19:59:56 UTC
Created attachment 458227 [details]
backtrace of segfault when clicking link

Comment 13 Yijun Yuan 2010-11-06 15:07:13 UTC
well, the 1.2.0 release was out in Jul., with above patch. I'll upload a new version.

Comment 14 Bug Zapper 2011-06-02 16:26:16 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2011-06-27 15:01:24 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.